Skip to content

Retrieve Results of Deep Copy Job

After submitting a request to deep copy an object record, you can query Vault to determine the results of the request. Before submitting this request:

  • You must have previously requested a deep copy job (via the API) which is no longer active.
  • You must have a valid job_id value, retrieved from the response of the deep copy request.
GET/api/{version}/vobjects/deepcopy/results/{object_name}/{job_status}/{job_id}
NameDescription
Accepttext/csv (default)
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Accept: text/csv" \ https://myvault.veevavault.com/api/v21.2/vobjects/deepcopy/results/product__v/failure/26901
line number,vobject,sourceRecordId,errors 1,product__v,00P000000000301,"""PARAMETER_REQUIRED|Missing required parameter [internal_name__c]"",""OPERATION_NOT_ALLOWED|Another resource already exists with [name__v=WonderDrug]"""